Bug 804449 - [abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.1.fc16/compat-wireless-3.2-1/drivers/net/wireless/p54/main.c:351 p54_config+0x215/0x250 [p54common]()
[abrt] kernel: WARNING: at /builddir/build/BUILD/kernel-3.1.fc16/compat-wirel...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:5c9cc07747be8ab16a7b0b20b1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 17:08 EDT by Ramón Mayo
Modified: 2012-11-14 10:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:07:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramón Mayo 2012-03-18 17:08:40 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.1.9-1.fc16.x86_64 root=UUID=0c28c3ce-60cb-462c-abd3-6048f61a7d77 ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 KEYTABLE=es LANG=en_US.UTF-8
kernel:         3.1.fc16/compat-wireless-3.2-1/drivers/net/wireless/p54/main.c:351 p54_config+0x215/0x250 [p54common](
reason:         WARNING: at /builddir/build/BUILD/kernel-3.1.fc16/compat-wireless-3.2-1/drivers/net/wireless/p54/main.c:351 p54_config+0x215/0x250 [p54common]()
time:           sáb 10 mar 2012 14:20:02 CET

backtrace:
:WARNING: at /builddir/build/BUILD/kernel-3.1.fc16/compat-wireless-3.2-1/drivers/net/wireless/p54/main.c:351 p54_config+0x215/0x250 [p54common]()
:Hardware name:         
:Modules linked in: tcp_lp ppdev parport_pc lp parport fuse fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device arc4 snd_pcm rt2500pci rt2x00pci rt2x00lib p54usb eeprom_93cx6 p54common crc_ccitt snd_timer mac80211 snd iTCO_wdt iTCO_vendor_support r8169 soundcore snd_page_alloc i2c_i801 mii uinput cfg80211 gspca_ov519 gspca_main videodev rfkill media v4l2_compat_ioctl32 microcode i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 835, comm: wpa_supplicant Tainted: G        W   3.1.9-1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106b7ef>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106b84a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa028e7a5>] p54_config+0x215/0x250 [p54common]
: [<ffffffffa01d5352>] ieee80211_hw_config+0xe2/0x160 [mac80211]
: [<ffffffffa01e76be>] ieee80211_recalc_idle+0x4e/0x60 [mac80211]
: [<ffffffffa01da2b3>] __ieee80211_start_scan+0x103/0x240 [mac80211]
: [<ffffffff8115e2ec>] ? __kmalloc+0x12c/0x190
: [<ffffffffa01daeb9>] ieee80211_request_scan+0x39/0x60 [mac80211]
: [<ffffffffa01e99ec>] ieee80211_scan+0x6c/0x90 [mac80211]
: [<ffffffffa01b0588>] nl80211_trigger_scan+0x368/0x620 [cfg80211]
: [<ffffffff814ed755>] genl_rcv_msg+0x1d5/0x250
: [<ffffffff814ed580>] ? genl_rcv+0x40/0x40
: [<ffffffff814ed019>] netlink_rcv_skb+0xa9/0xd0
: [<ffffffff814ed565>] genl_rcv+0x25/0x40
: [<ffffffff814ec928>] netlink_unicast+0x2a8/0x2f0
: [<ffffffff814ba2d7>] ? memcpy_fromiovec+0x67/0xb0
: [<ffffffff814ecc32>] netlink_sendmsg+0x2c2/0x360
: [<ffffffff814ac72e>] sock_sendmsg+0x10e/0x130
: [<ffffffff811854d0>] ? __pollwait+0xf0/0xf0
: [<ffffffff811854d0>] ? __pollwait+0xf0/0xf0
: [<ffffffff8115d58f>] ? kmem_cache_free+0x2f/0x110
: [<ffffffff814af151>] ? move_addr_to_kernel+0x71/0x80
: [<ffffffff814ba5d6>] ? verify_iovec+0x56/0xd0
: [<ffffffff814adcc6>] __sys_sendmsg+0x396/0x3b0
: [<ffffffff8107ee67>] ? __set_task_blocked+0x37/0x80
: [<ffffffff810813bf>] ? set_current_blocked+0x3f/0x60
: [<ffffffff810127da>] ? __switch_to+0x1ea/0x310
: [<ffffffff814b00e9>] sys_sendmsg+0x49/0x90
: [<ffffffff815dd1c2>] system_call_fastpath+0x16/0x1b
Comment 1 John W. Linville 2012-03-19 11:25:43 EDT
Are you getting a lot of these?  Or just this one?

I'm not sure how important this is, if we really need a warning.  OTOH, if it happens a lot then it is surely a problem.
Comment 2 Ramón Mayo 2012-03-20 04:51:02 EDT
Only sometimes, so i dont know how to reproduce it. Pluging again the usb wireless card didnt trigger it again.
Comment 3 Dave Jones 2012-03-22 12:42:18 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 12:46:51 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 12:56:18 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Ramón Mayo 2012-03-24 03:36:32 EDT
This night I got 5 of this warnings with the 3.3.0-4.fc16.x86_64 kernel again.
Comment 7 Bjarke Istrup Pedersen 2012-03-25 07:32:15 EDT
I'm having the exact same problem on Gentoo with a vanilla kernel, so it's not Redhat specific.

I found out, that v3.1 is good, and v3.2-rc1 is bad, so I bisected it, and got this bisect log:

git bisect start
# good: [c3b92c8787367a8bb53d57d9789b558f1295cc96] Linux 3.1
git bisect good c3b92c8787367a8bb53d57d9789b558f1295cc96
# bad: [1ea6b8f48918282bdca0b32a34095504ee65bab5] Linux 3.2-rc1
git bisect bad 1ea6b8f48918282bdca0b32a34095504ee65bab5
# bad: [37be944a0270402f9cda291a930b0286f6dc92f5] Merge branch 'drm-core-next' of git://people.freedesktop.org/~airlied/linux
git bisect bad 37be944a0270402f9cda291a930b0286f6dc92f5
# good: [7e0bb71e75020348bee523720a0c2f04cc72f540] Merge branch 'pm-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm
git bisect good 7e0bb71e75020348bee523720a0c2f04cc72f540
# good: [46a971913611a23478283931460a95be962ce329] Staging: hv: move hyperv code out of staging directory
git bisect good 46a971913611a23478283931460a95be962ce329
# bad: [8a4a8918ed6e4a361f4df19f199bbc2d0a89a46c] Merge branch 'sched-core-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip
git bisect bad 8a4a8918ed6e4a361f4df19f199bbc2d0a89a46c
# good: [aa77677e0a288e08073620db5d2a31df83ca4788] Merge branch 'staging-next' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging
git bisect good aa77677e0a288e08073620db5d2a31df83ca4788
# good: [c752d04066a36ae30b29795f3fa3f536292c1f8c] perf symbols: Increase symbol KSYM_NAME_LEN size
git bisect good c752d04066a36ae30b29795f3fa3f536292c1f8c
# bad: [19b4a8d520a6e0176dd52aaa429261ad4fcaa545] Merge branch 'core-rcu-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip
git bisect bad 19b4a8d520a6e0176dd52aaa429261ad4fcaa545
# good: [048b718029033af117870d3da47da12995be14a3] Merge branch 'rcu/next' of git://github.com/paulmckrcu/linux into core/rcu
git bisect good 048b718029033af117870d3da47da12995be14a3
# good: [96f8e98bfeba3efa82eca85343bc058f6eced888] locking, x86, iommu: Annotate irq_2_ir_lock as raw
git bisect good 96f8e98bfeba3efa82eca85343bc058f6eced888
# good: [c020570138f5d9cb1fc0a853f9cf9e641178b5c5] x86, ioapic: Consolidate the explicit EOI code
git bisect good c020570138f5d9cb1fc0a853f9cf9e641178b5c5
# good: [68cc3990a545dc0da221b4844dd8b9c06623a6c5] rtmutex: Add missing rcu_read_unlock() in debug_rt_mutex_print_deadlock()
git bisect good 68cc3990a545dc0da221b4844dd8b9c06623a6c5
# good: [08613e4626c06ca408fc55071f6aedee36986a87] caif: Fix BUG() with network namespaces
git bisect good 08613e4626c06ca408fc55071f6aedee36986a87
# good: [982653009b883ef1529089e3e6f1ae2fee41cbe2] Merge branch 'core-iommu-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip
git bisect good 982653009b883ef1529089e3e6f1ae2fee41cbe2
# good: [3cfef9524677a4ecb392d6fbffe6ebce6302f1d4] Merge branch 'core-locking-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip
git bisect good 3cfef9524677a4ecb392d6fbffe6ebce6302f1d4

Which results in this:

19b4a8d520a6e0176dd52aaa429261ad4fcaa545 is the first bad commit

That commit seems to be a merge commit, so I'm unable to spot what it is in that commit that breaks things badly: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=19b4a8d520a6e0176dd52aaa429261ad4fcaa545

Any ideas would be welcomed.
Comment 8 Bjarke Istrup Pedersen 2012-04-01 11:25:02 EDT
Does disabling CONFIG_PREEMPT also fix it for you?

It fixes it on my system.
Comment 9 Dave Jones 2012-10-23 11:30:59 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Justin M. Forbes 2012-11-14 10:07:39 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.